-- 背包相关协议 5000~5999

local proto_struct = [[
]]

local proto_c2s =
    [[
    # 获取背包信息
    bag_get_info 2100 {
        request {
        }
        response {
            code 0: integer
            items 1: *DataItemBag       # 物品列表
        }
    }
    
    # 分解
    bag_exchange 2101 {
        request {
            items 0: *DataItem          # 分解物品列表（支持一键分解）
        }
        response {
            code 0: integer
            goldCount 1: integer        # 分解后获得金币数量
        }
    }
    
    # 提取
    bag_draw 2102 {
        request {
            items 0: *DataItem          # 提取物品列表（支持一键提取）
        }
        response {
            code 0: integer
        }
    }
]]

local proto_s2c =
    [[
    # 玩家当前物品
    on_user_items 2100 {
        request {
            items 0: *DataItemBag
        }
    }
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
