-- 用户相关协议 2000~2099

local proto_struct = [[
]]

local proto_c2s =
    [[
    # 获取自己的信息
    user_self_info 2000 {
        request {
        }
        response {
            code 0: integer
            baseInfo 1: DataUserBaseInfo    # 基础信息
        }
    }

    # 连接保活
    user_keepalive 2001 {
        request {
        }
        response {
            systemTime 0: integer           # 玩家系统时间
        }
    }

    # 获取玩家信息
    user_get_info 2002 {
        request {
            uid 0: integer                  # 玩家id
        }
        response {
            code 0: integer
            baseInfo 1: DataUserBaseInfo    # 基础信息
        }
    }
]]

local proto_s2c =
    [[
    # 玩家系统信息
    on_user_system_info 2000 {
        request {
            sheildList 0: *integer          # 功能ID列表
        }
    }

    # 玩家状态
    on_server_code 2001 {
        request {
            code 0: integer                 # 值为497时是被顶号了，不要自动连接
        }
    }
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
